#!/bin/sh
firmware560=0
fwparam=root.Properties.Firmware.Version
if parhandclient get $fwparam  | grep  '^"5\.6' > /dev/null; then
    firmware560=1
fi

rm -r /usr/html/local/parking /usr/html/local/people-counter /usr/html/local/heatmap /usr/html/local/bicycle

ln -s /usr/local/packages/tvqu/html/queue /usr/html/local/queue
cat /etc/httpd/conf/boa.conf | grep -v /usr/local/packages/tv > /tmp/newboa.conf
cp /tmp/newboa.conf /etc/httpd/conf/boa.conf 
echo "Alias /queue /usr/local/packages/tvqu/html/queue" >>/etc/httpd/conf/boa.conf 
ln -s index.html /usr/local/packages/tvqu/html/queue/index.shtml

cat /etc/httpd/conf/boa.conf | \
  sed -e 's/^#*DirectoryIndex/#DirectoryIndex/g' | \
  sed -e 's/^#*\s*DirectoryMaker \/.*$/DirectoryMaker \/lib\/persistent\/genindex/g' | \
  cat > /tmp/boa.conf.tmp
mv /tmp/boa.conf.tmp /etc/httpd/conf/boa.conf

chmod 750 /usr/local/packages/tvqu/html/queue/*.cgi
cp /usr/local/packages/tvqu/myindex /lib/persistent/genindex
chmod +x /lib/persistent/genindex
parhandclient --nocgi set root.Network.Bonjour.FriendlyName "AXIS Queue Monitor - `parhandclient --nocgi get root.Brand.ProdShortName - RAW` - `parhandclient --nocgi get root.Properties.System.SerialNumber - RAW`" 2>/dev/null > /dev/null
if [ "$firmware560" -eq "1" ]; then
    BOAPID=`pidof boa`
    BOAOUT_=`stat /proc/$BOAPID/fd/* | grep pipe`
    BOAOUT=`echo $BOAOUT_ | cut -d' ' -f2 | tr -d \'`
    eval `sed -n 'H;${x;s/\(^\|\x00\)\([^=]*.\)\([^\x00]*\)/\2\x27\3\x27\n/gp}' /proc/$PPID/environ | grep HTTP_HOST`
    echo -en 'Location: http://'$HTTP_HOST'/local/queue/wait.html\r\n' > $BOAOUT
    echo -en 'Content-type: text/plain\r\n\r\n' > $BOAOUT
else
    echo -en 'Location: http://'$HTTP_HOST'/local/queue/wait.html\r\n'
    echo -en 'Content-type: text/plain\r\n\r\n'
    /etc/init.d/httpd restart  >/dev/null  2>&1
fi
export QUERY_STRING="action=start&package=tvqu"
/usr/html/axis-cgi/applications/control.cgi >/dev/null 2>&1

# Add Possibility for viewer to see interface
chgrp -R viewer /usr/local/packages/tvqu/*
chmod -R 740 /usr/local/packages/tvqu/*

chown :operator /usr/local/packages/tvqu/html/queue/*.cgi
chmod 750 /usr/local/packages/tvqu/html/queue/*.cgi
#chown :operator /usr/local/packages/tvqu/html/queue
chmod 750 /usr/local/packages/tvqu/html/queue

chgrp operator /usr/local/packages/tvqu/html/queue/backup.cgi
chgrp operator /usr/local/packages/tvqu/html/queue/record.cgi
chgrp operator /usr/local/packages/tvqu/html/queue/registration.html
chgrp operator /usr/local/packages/tvqu/html/queue/javascript/registration.js

# Move old files to new location and remove unused file
rm /mnt/flash/tvhm.buf
mv /mnt/flash/hval.buf /usr/local/packages/tvqu/localdata/hval.buf
mv /mnt/flash/hvalmin.buf /usr/local/packages/tvqu/localdata/hvalmin.buf
mv /mnt/flash/hvalpeople.buf /usr/local/packages/tvqu/localdata/hvalpeople.buf